Subject: Re: multithread programming
From: Christopher Faylor <[email-masked]>
To: Stipe Tolj <[email-masked]>
Cc: [email-masked]
Date: Tue, 2 Feb 1999 20:53:49 -0500

On Wed, Feb 03, 1999 at 02:36:56AM +0100, Stipe Tolj wrote:
>> >unfortunatly Cygwin b19 (and b20) are _not_ multithread safe. Therefore the
>> >posix thread pthread package from MIT won't work.
>> >
>> >That's at least what core developers have told me on that issue.
>>
>> Actually, recent source snapshots have had a threadsafe option which has
>> to be manually configured.  This also includes limited pthread support.
>
>that sound great. So when can I expect to be able to port the MySQL database
>engine using MIT's pthread package on Cygwin? Will be Cygwin b21 threadsafe and
>pthread supporting?
>
>What do I have to do, to get the pthread support active within the latest source
>snapshot? Compile the whole cygwin1.dll? Which options do I have to configure
>manually for this?

Yes, you'll need to compile cygwin1.dll.  Try running configure --help .
The options should be self-explanatory.

FYI, the pthread support is limited and the multithread support is still
considered experimental.

cgf